body {
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12px;
  color: #333;
  margin: 0;
  color: #514949;
  background: url(images/body.png) top repeat-x #f0f0f0;
}

a {
  color: #1E90FF;
  text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 5px;
  color: #ff9900;
}

input[type="text"],
input[type="password"],
select[multiple="multiple"],
textarea {
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  padding-left: 2px;
  color: black;
}

select[multiple="multiple"] {
  padding-left: 0;
}

table.list {
  border: 1px solid #d0d0d0;
  border-spacing: 0;
  border-radius: 3px;
  width: 100%;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
}

table.list td {
  padding: 2px 4px;
  border: 1px solid white;
  border-left: none;
  border-top: none;
}

table.list thead tr {
  background-color: #e0e0e0;
  font-weight: bold;
}

table.list tbody tr {
  background-color: #f0f0f0;
}

table.list tfoot tr {
  background-color: #e0e0e0;
}

table.list tfoot tr td {
  padding: 3px 3px;
  font-size: 10px;
  text-shadow: white 1px 1px;
}

table.list tfoot tr td {
  border-top: solid 1px white;
  border-bottom: none;
}

table.list td:last-child {
  border-right: none;
}

table.list tbody tr:last-child td {
  border-bottom: none;
}

table.list tbody tr.selectable td {
  cursor: default;
}

table.list tbody tr.selectable:hover {
  background-color: #d6efff;
}

table.list tbody tr td.empty-body {
  height: 150px;
  color: #ff9900;
  text-align: center;
}

table.list tbody tr.deleted td {
  color: #999;
}

fieldset {
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  margin-top: 10px;
}

legend {
  padding-left: 0;
  color: #909090;
}

table.form {
  width: 100%;
}

table.form td {
  padding: 1px 5px;
}

table.form select {
  max-width: 500px;
}

table.form tr.required input,
table.form tr.required select,
table.form tr.required textarea {
  background-color: #f0f9ff;
}

table.form tr input.error,
table.form tr select.error,
table.form tr textarea.error {
  background-color: #f5e3e3;
}

td.label {
  width: 1%;
  min-width: 120px;
  text-align: right;
  font-weight: bold;
  white-space: nowrap;
}

table.list.tree td span.expando {
  background: url(images/buttons.png) -4px -161px no-repeat;
  width: 16px;
  height: 14px;
  cursor: pointer;
}

table.list.tree tr.expanded td span.expando {
  background-position: -4px -180px;
}

table.list.tree td span.expando,
table.list.tree td span.spacer,
table.list.tree td span.level {
  display: inline-block;
}

table.list.tree td span.spacer {
  width: 16px;
}


/**** Common UI elements ****/

#topmenu {
  text-align: right;
  height: 20px;
  padding: 0 10px;
  margin: 0;
  white-space: nowrap;
  background: url(images/linen_header.jpg) 0 0 repeat-x;
}

#topmenu > span {
  color: #aaa;
  font-size: 11px;
  padding-top: 2px;
  height: 20px;
  line-height: 20px;
}

#navigation {
  margin: 0 15px;
  text-align: right;
  height: 36px;
  z-index: 2;
  white-space: nowrap;
}

#task_navigation {
  margin: 0 15px;
  text-align: right;
  height: 21px;
  z-index: 2;
  white-space: nowrap;
}

#message {
  position: absolute;
  top: 80px;
  left: 20px;
  width: 350px;
  height: 60px;
  z-index: 20;
}

#message div {
  opacity: 0.97;
  padding-left: 70px;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  -moz-box-shadow: 1px 1px 3px #999;
  -webkit-box-shadow: #999 1px 1px 3px;
  width: 100%;
  height: 100%;
  display: table;
}

#message.notice div {
  border-color: #aec1db;
  color: #3465a4;
  background: url(images/info.png) 10px center no-repeat #c0e0ff;
}

#message.error div {
  border-color: #db9999;
  color: #a40000;
  background: url(images/error.png) 10px center no-repeat #edcccc;
}

#message div span {
  vertical-align: middle;
  display: table-cell;
  line-height: 20px;
}

#logo {
  position: absolute;
  top: 0px;
  left: 10px;
  cursor: pointer;
}

#content {
  min-height: 400px;
  margin: 0 15px;
  padding: 10px;
  background-color: #f5f5f5;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
}

#footer {
  margin: 2px 15px;
  color: #b0b0b0;
  font-size: 9px;
  margin-bottom: 10px;
  clear: both;
}

#loading {
  position: absolute;
  display: none;
  top: 2px;
  left: 15px;
  width: 150px;
  height: 18px;
  padding-left: 86px;
  color: #aaa;
  font-size: 11px;
  z-index: 1;
  background: url(images/loading.gif) 0 3px no-repeat;
  white-space: nowrap;
}

#topmenu .logout {
  background: url(images/buttons.png) -1px -101px no-repeat;
  padding-left: 20px;
  margin-right: 10px;
  color: white;
}

#topmenu .login {
  padding-left: 20px;
  margin-right: 20px;
  background: url(images/user_ico.png) 0 2px no-repeat;
}

#topmenu .domain {
  padding-left: 20px;
  margin-right: 10px;
  background: url(images/domain_ico.png) 0 3px no-repeat;
}

#navigation ul {
  list-style-type: none;
  margin: 0;
  padding: 8px 0;
}

#navigation ul li {
  display: inline;
  font-size: 13px;
  font-weight: bold;
  padding: 8px 0;
}

#navigation ul li a {
  padding: 8px 10px;
  text-decoration: none;
  color: #514949;
}

#navigation ul li.active {
  background: url(images/navbg.png) 0 0 repeat-x;
}

#navigation ul li.active a {
  text-shadow: white 1px 1px;
  color: #ff9900;
}

#task_navigation ul {
  list-style-type: none;
  margin: 0;
  padding: 2px 0;
}

#task_navigation ul li {
  padding: 1px 0;
  display: inline;
  font-size: 12px;
  font-weight: bold;
  text-shadow: white 1px 1px;
}

#task_navigation ul li a {
  padding: 1px 10px;
  text-decoration: none;
  color: #808080;
}

#navigation ul li a:active,
#task_navigation ul li a:active {
  outline: none;
}

#taskcontent {
  min-height: 380px;
  padding: 10px;
  background-color: #f0f0f0;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  overflow-x: auto;
}

#toc {
  float: left;
  width: 260px;
  min-height: 380px;
}

#search {
  padding: 7px;
  margin-bottom: 10px;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  background-color: #e0e0e0;
}

#searchinput {
  border: none;
  background-color: white;
  margin-top: 2px;
}

#searchinput:focus {
  outline: none;
}

.searchinput {
  height: 20px;
  margin: 0;
  padding: 0;
  background-color: white;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  overflow: hidden;
}

.searchactions {
  float: left;
  padding: 1px;
  margin-left: -1px;
  height: 18px;
  width: 37px;
  background-color: #f0f0f0;
  cursor: pointer;
  border-right: 1px solid #e0e0e0;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
  -moz-border-radius-topleft: 3px;
  -moz-border-radius-bottomleft: 3px;
  -webkit-border-top-left-radius: 3px;
  -webkit-border-left-right-radius: 3px;
}

#search-reset,
#search-details {
  display: block;
  float: left;
  width: 18px;
  height: 18px;
  background: url(images/buttons.png) -1px 0 no-repeat;
}

#search-reset:hover,
#search-details:hover {
  background-color: white;
}

#search-reset {
  border-left: 1px solid #e0e0e0;
}

#search-details {
  background-position: -1px -20px;
}

.searchdetails {
  display: none;
}

.searchfilter {
  color: #909090;
  font-weight: bold;
  margin-top: 5px;
}

#search fieldset {
  margin: 0;
  color: #909090;
  margin-top: 5px;
}

#search td.label {
  min-width: 0;
}

div.vsplitter {
  float: left;
  width: 10px;
  min-height: 400px;
}

/**** Common classes ****/

.nowrap {
  white-space: nowrap;
}

.clear {
  clear: both;
}

.watermark {
  padding-top: 40px;
  text-align: center;
  width: 100%;
}

.link {
  cursor: pointer;
}

.icon {
  width: 16px;
  height: 16px;
}

input.inactive {
  color: #d0d0d0;
}

.formtitle {
  color: #ff9900;
  font-size: 18px;
  font-weight: bold;
  margin-left: 5px;
}

.formbuttons {
  text-align: center;
  white-space: nowrap;
}

.formbuttons input {
  margin: 5px;
}

.listnav {
  width: 100%;
  text-align: right;
}

.listnav a {
  float: left;
  display: block;
  width: 16px;
  height: 16px;
  background: url(images/arrow_left.png) center no-repeat;
}

.listnav a.next {
  background: url(images/arrow_right.png) center no-repeat;
}

.listnav a.disabled {
  opacity: .3;
  cursor: default;
}

.listnav span span {
  float: left;
  display: block;
  height: 14px;
  padding: 1px 5px;
}

.disabled,
.readonly,
.select.readonly option {
  color: #a0a0a0;
}

input.disabled,
input.readonly,
select.disabled,
select.readonly,
textarea.disabled,
textarea.readonly {
  background-color: #f5f5f5;
  color: #a0a0a0;
}

input.maxsize {
  width: 368px; /* span.listarea width - 2px */
}

pre.debug {
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  background-color: white;
  padding: 2px;
  width: 500px;
  height: 200px;
  margin: 0;
  overflow: auto;
}

.popup {
  display: none;
  position: absolute;
  border: none;
  border-radius: 3px;
  box-shadow: 0 2px 6px 0 #333;
    -moz-box-shadow: 0 2px 6px 0 #333;
    -webkit-box-shadow: 0 2px 6px 0 #333;
    -o-box-shadow: 0 2px 6px 0 #333;
}

a.button {
  display: inline-block;
  width: 18px;
  height: 18px;
  background: url(images/buttons.png) 0 0 no-repeat;
}

a.button.edit {
  background-position: -1px -81px;
}

a.button.add {
  background-position: -1px -41px;
}

a.button.delete {
  background-position: -1px -1px;
}

.xdsoft_datetimepicker {
  border-radius: 4px;
}

/********* Form smart inputs *********/

span.listarea {
  display: block;
  width: 370px;
  max-height: 209px;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  background-color: white;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  text-align: left;
  text-shadow: none;
  color: black;
}

span.listelement {
  display: block;
  padding: 0;
  margin: 0;
  height: 18px;
  line-height: 18px;
  overflow: hidden;
  border-top: 1px solid #d0d0d0;
  white-space: nowrap;
}

span.listelement:first-child {
  border: none;
}

span.listelement input {
  border: none;
  background-color: transparent;
  padding-left: 2px;
  width: 328px;
  height: 17px;
  line-height: 17px;
}

span.listarea.disabled span.listelement input,
span.listarea.readonly span.listelement input {
  width: 370px;
}

span.listelement input:focus {
  outline: none;
}

span.listelement span.actions {
  float: left;
  padding: 0;
  margin-left: -1px;
  margin-top: -1px;
  height: 18px;
  width: 37px;
  border: 1px solid #d0d0d0;
  background-color: #f0f0f0;
  cursor: pointer;
}

span.listelement span.actions span {
  display: block;
  float: left;
  width: 18px;
  height: 18px;
  background: url(images/buttons.png) 0 0 no-repeat;
}

span.listelement span.actions span:hover {
  background-color: white;
}

span.listelement span.actions span.reset {
  background-position: -1px 0;
  border-left: 1px solid #e0e0e0;
}

span.listelement span.actions span.add {
  background-position: -1px -41px;
}

span.listelement span.actions span.search {
  background-position: -1px -60px;
  cursor: default;
}

span.listarea.disabled,
span.listarea.readonly {
  background-color: #f5f5f5;
}

input.disabled,
input.readonly,
span.listarea.disabled span.listelement input,
span.listarea.readonly span.listelement input {
  color: #a0a0a0;
  cursor: default;
}

span.listarea.autocomplete span.listelement input {
  color: #514949;
}

span.listarea.autocomplete span.listelement input.autocomplete {
  color: black;
}

.autocomplete > span.listelement input {
  width: 348px;
  border-radius: 0;
}

.autocomplete > span.listelement span.actions {
  width: 18px;
}

.autocomplete > span.listelement span.actions span.reset {
  border-left: none;
}

.autocomplete > span.listelement span.actions span.search:hover {
  background-color: #f0f0f0;
}

span.listarea.select {
  width: 200px;
}

span.listarea.select > span.listelement input {
  width: 180px;
}

span.listcontent {
  display: block;
  padding: 0;
  margin: 0;
  overflow: hidden;
  max-height: 94px;
  overflow-x: hidden;
  overflow-y: auto;
  border-top: 1px solid #d0d0d0;
  background-color: #f5f5f5;
  cursor: default;
}

span.listcontent span.listelement {
  padding-left: 3px;
}

span.listcontent span.listelement:hover {
  background-color: #d6efff;
}

span.listcontent span.listelement.selected {
  background-color: #d6efff;
}

span.form_error {
  color: #FF0000;
  font-weight: bold;
  font-size: 90%;
  padding-left: 5px;
}

.ldap_url,
.aci {
  background-color: #F5F5F5;
  border: 1px solid #D0D0D0;
  border-radius: 3px 3px 3px 3px;
}

.ldap_url td, li {
  white-space: nowrap;
}

.ldap_url ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.ldap_url ul li {
  padding: 0;
  margin: 0;
}

.ldap_url ul li input {
  width: 120px;
  margin-right: 5px;
}

.ldap_url tr span {
  padding: 0 5px;
}

.ldap_url tr.ldap_base td input,
.ldap_url tr.ldap_scope td select {
  width: 368px;
}

.ldap_url tr.ldap_host td input.ldap_host {
  width: 290px;
}

table.form tr.required .ldap_url input,
table.form tr.required .ldap_url select {
  background-color: white;
}

table.form tr.required .ldap_url {
  background-color: #F0F9FF;
}

.ldap_url a.button {
  vertical-align: middle;
  height: 22px;
}

.aci {
  padding: 5px;
}

.acltable select {
  width: 400px;
}

.acltable .buttons {
  vertical-align: top;
  text-align: center;
}

.acltable .buttons input {
  display: block;
  width: 100px;
}

.acltable {
  border-spacing: 0;
}

.acltable td.list {
  padding: 0;
}

/*****   autocomplete list   *****/

#autocompletepane
{
  background-color: white;
  border: 1px solid #d0d0d0;
  min-width: 351px;
}

#autocompletepane ul
{
  margin: 0px;
  padding: 2px;
  list-style-image: none;
  list-style-type: none;
}

#autocompletepane ul li
{
  display: block;
  height: 16px;
  font-size: 11px;
  padding-left: 6px;
  padding-top: 2px;
  padding-right: 6px;
  white-space: nowrap;
  cursor: pointer;
}

#autocompletepane ul li.selected
{
  background-color: #d6efff;
}

/***** tabbed interface elements *****/

div.tabsbar
{
  height: 22px;
  border-bottom: 1px solid #d0d0d0;
  white-space: nowrap;
  margin: 10px 5px 0 5px;
}

span.tablink,
span.tablink-selected
{
  float: left;
  height: 23px !important;
  height: 22px;
  overflow: hidden;
  background: url(images/tabs-left.gif) top left no-repeat;
  font-weight: bold;
}

span.tablink
{
  cursor: pointer;
  text-shadow: white 1px 1px;
}

span.tablink-selected
{
  cursor: default;
  background-position: 0px -23px;
}

span.tablink a,
span.tablink-selected a
{
  display: inline-block;
  padding: 4px 10px 0 5px;
  margin-left: 5px;
  height: 23px;
  color: #808080;
  max-width: 185px;
  text-decoration: none;
  overflow: hidden;
  text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  background: url(images/tabs-right.gif) top right no-repeat;
  outline: none;
}

span.tablink-selected a
{
  cursor: inherit;
  color: #514949;
  background-position: right -23px;
}

fieldset.tabbed
{
  margin-top: 0;
  padding-top: 12px;
  border-top: none;
}

/*****  Dialog windows  *****/

#modal_bg {
  background-color: #000;
  z-index: 1000;
  opacity: 0.2;
  filter: alpha(opacity=20);
}

#modal_pixel {
  z-index: 1001;
}

.modal {
  position: relative;
  min-width: 350px;
  overflow: hidden;
  line-height: 15px;
  background-color: #FFF;
  color: #333;
  border: 1px solid rgba(51, 51, 51, 0.5);
  border-radius: 4px;
  box-shadow: 0 3px 7px rgba(0, 0, 0, 0.3);
}

.modal_header {
  padding: 10px;
  font-size: 14px;
  font-weight: bold;
  border-bottom: solid 1px #DDD;
}

.modal_close {
  position: absolute;
  right: 10px;
  top: 10px;
  font-weight: normal;
  font-size: 12px;
  cursor: pointer;
  color: #BABABA;
}

.modal_msg {
  font-size: 12px;
  padding: 20px;
  color: #3A3A3A;
  text-shadow: rgba(255, 255, 255, 0.75) 0 1px 1px;
}

.modal_btns {
  padding: 10px;
  font-size: 10px;
  font-weight: bold;
  border-top: solid 1px #DDD;
  background-color: #EFEFEF;
  text-align: right;
  white-space: nowrap;
}

.modal_btns div {
  display: inline-block;
  min-width: 40px;
  padding: 0 10px;
  height: 25px;
  line-height: 25px;
  margin-left: 10px;
  text-align: center;
  cursor: pointer;
  border-radius: 4px;
  box-shadow: rgba(255, 255, 255, 0.2) 0px 1px 0px 0px inset, rgba(0, 0, 0, 0.0470588) 0px 1px 2px 0px;
  text-shadow: rgba(255, 255, 255, 0.75) 0 1px 1px;
  border: 1px solid rgba(0, 0, 0, 0.14902);
  border-bottom-color: rgba(0, 0, 0, 0.247059);
  background-color: #F5F5F5;
  color: #333;
}

.modal_btns div:hover {
  background-color: #E6E6E6;
}

.modal_btns div.default {
  text-shadow: rgba(0, 0, 0, 0.247059) 0px -1px 0px;
  border: 1px solid rgba(0, 0, 0, 0.0980392);
  background-color: #006DCC;
  color: #FFF;
}

.modal_btns div.default:hover {
  background-color: #0044CC
}

/**** ACI widget ********/

#aci-dialog,
#aci-users-dialog {
  width: 550px;
  background-color: #F0F0F0;
  border: 1px solid #D0D0D0;
  border-radius: 4px;
  margin: 10px;
  padding: 10px;
}

#aci-users-dialog {
  width: 400px;
}

#aci-dialog fieldset {
  background-color: #f0f0f0;
}

#aci-dialog > label {
  padding-right: 5px;
}

#aci-name {
  width: 420px;
}

#aci-rights label,
#aci-users-results,
#aci-users-selected,
#aci-targets-attr {
  display: block;
}

#aci-rights-all {
  padding-top: 5px;
}

#aci-targets-attr,
#aci-users-results,
#aci-users-selected,
#aci-targets-target,
#aci-targets-filter {
  width: 400px;
}

#aci-users-dialog label,
#aci-targets label {
  font-size: 11px;
  font-color: #606060;
}

#aci-users-dialog div,
#aci-targets div {
  margin-bottom: 10px;
}


/**** IMAP ACL widget ********/

#acl-dialog {
  width: 550px;
  background-color: #F0F0F0;
  border: 1px solid #D0D0D0;
  border-radius: 4px;
  margin: 10px;
  padding: 10px;
}

#acl-form td {
  white-space: nowrap;
  width: 1%;
  min-width: 20px;
}

#acl-form label {
  display: block;
}

#acl-form td.value div span {
  display: inline-block;
  vertical-align: top;
  min-width: 200px;
}

#acl-form td.value div label input,
#acl-form td.value div label span {
  vertical-align: middle;
}


/**** Login form elements ****/

#login_form {
  margin: auto;
  margin-top: 75px;
  padding: 20px;
  width: 330px;
  background-color: #e0e0e0;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  text-align: center;
}

#login_form span {
  display: block;
  line-height: 24px;
  width: 330px;
  text-align: left;
  white-space: nowrap;
}

#login_form label {
  display: block;
  width: 100px;
  text-align: right;
  float: left;
  margin-right: 10px;
}

#login_form select,
#login_form input[type="text"],
#login_form input[type="password"] {
  width: 210px;
}

#login_submit {
  margin-top: 5px;
}

/**** Main screen elements ****/

#main {
  padding: 5px 30px;
}

#main div {
  float: left;
  margin: 10px;
  width: 150px;
  height: 150px;
  text-align: center;
  cursor: pointer;
  background-color: #f0f0f0;
  border: 1px solid #d0d0d0;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
}

#main div:hover {
  background-color: #d6efff;
}

#main div span.image {
  display: block;
  margin: 15px 27px 10px;
  height: 96px;
  width: 96px;
  background: url(images/about.png) center center no-repeat;
}

#main div.user span.image {
  background: url(images/users.png) center center no-repeat;
}

#main div.group span.image {
  background: url(images/groups.png) center center no-repeat;
}

#main div.resource span.image {
  background: url(images/resources.png) center center no-repeat;
}

#main div.sharedfolder span.image {
  background: url(images/sharedfolders.png) center center no-repeat;
}

#main div.settings span.image {
  background: url(images/settings.png) center center no-repeat;
}

#main div.domain span.image {
  background: url(images/domains.png) center center no-repeat;
}

#main div.role span.image {
  background: url(images/roles.png) center center no-repeat;
}

#main div.ou span.image {
  background: url(images/ou.png) center center no-repeat;
}
#main div span.label {
  font-weight: bold;

}

#reqtime {
  white-space: nowrap;
  vertical-align: top;
}

#domain-selector span.link {
  color: white;
  text-decoration: none;
}

/**** User/Group task elements ****/

#userlist table,
#grouplist table {
  width: 100%;
}

/**** About pages ****/

td.yes {
  background-color: #B5FFAB;
  font-style: italic;
  text-align: center;
}

td.no {
  background-color: #FF0000;
  color: #FFFFFF;
  font-weight: bold;
  text-align: center;
}

/**** Settings ****/

table.form table.list td {
  padding: 2px 4px;
}

#type_attr_table td.actions {
  width: 40px;
  padding: 0;
  white-space: nowrap;
}

#type_attr_table thead td {
  white-space: nowrap;
}

#type_attr_table tfoot span {
  cursor: pointer;
}

#type_attr_table td.readonly {
  color: #514949;
}

#type_attr_form {
  display: none;
}

#type_attr_form table.form td {
  border: none;
}

a.add_attr {
  padding-left: 2px;
  padding-top: 2px;
}
